var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Pipe } from '@angular/core';
import { ReviewHeaderComponent } from '../lib/review-header/review-header.component';
var SortByDatePipe = (function () {
    function SortByDatePipe() {
    }
    SortByDatePipe.prototype.transform = function (value, args) {
        var dateTimeType = ReviewHeaderComponent.getOrderBy();
        var desc = ReviewHeaderComponent.getOrder();
        if (args === undefined || !args[0]) {
            return value;
        }
        if (value) {
            if (args.toLowerCase() == "review") {
                value.sort(function (a, b) { return +new Date(b[dateTimeType]) - +new Date(a[dateTimeType]); });
            }
            else if (args.toLowerCase() == "comment") {
                value.sort(function (a, b) { return +new Date(a.value.DateTime) - +new Date(b.value.DateTime); });
            }
            if (!desc && args.toLowerCase() == "review") {
                return value.reverse();
            }
            return value;
        }
    };
    return SortByDatePipe;
}());
SortByDatePipe = __decorate([
    Pipe({
        name: "sortByDate",
        pure: false
    })
], SortByDatePipe);
export { SortByDatePipe };
//# sourceMappingURL=sort-by-date-pipe.component.js.map