var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { NgModule } from "@angular/core";
import { HttpModule } from "@angular/http";
import { FormsModule } from "@angular/forms";
import { CommonModule } from '@angular/common';
import { MatTabsModule, MatSnackBarModule, MatCardModule, MatButtonModule } from '@angular/material';
import { ReviewService } from './review.service';
import { CommentComponent } from './lib/comment/comment.component';
import { ReviewList } from './lib/review-list/review-list.component';
import { ScheduleDropdown } from './lib/schedule-dropdown/schedule-dropdown.component';
import { ReviewComponent } from './review.component';
import { KeysPipe } from './pipes/keys-pipe.component';
import { SortByDatePipe } from './pipes/sort-by-date-pipe.component';
import { DatePipe } from './pipes/date-pipe.component';
import { ReviewHeaderComponent } from './lib/review-header/review-header.component';
var ReviewModule = (function () {
    function ReviewModule() {
    }
    return ReviewModule;
}());
ReviewModule = __decorate([
    NgModule({
        imports: [CommonModule, FormsModule, HttpModule, MatTabsModule, MatSnackBarModule, MatCardModule, MatButtonModule,],
        declarations: [ReviewComponent, KeysPipe, CommentComponent, SortByDatePipe, ReviewList, ScheduleDropdown, ReviewHeaderComponent, DatePipe],
        providers: [ReviewService],
        exports: [ReviewComponent]
    })
], ReviewModule);
export { ReviewModule };
//# sourceMappingURL=review.module.js.map