import { Pipe, PipeTransform } from '@angular/core';

@Pipe({ name: "date" })
export class DatePipe implements PipeTransform {
  transform(value: any, args: string[]): any {
    if (value) {
      return new Date(value).toUTCString().substr(5, 20);
    } else {
      return value;
    }
  }
}
